# -*- coding: utf-8 -*-
from setuphelpers import *

uninstallkey = []
path_prog = '/opt/sweethome3d'
name_app = 'sweethome3d'

def install():
    run_notfatal('apt-get remove %s -y' % name_app)
    version_sweethome = control.version.split('-')[0]
    if isdir(path_prog):
        remove_tree(path_prog)
    mkdirs(path_prog)
    run('tar -xf SweetHome3D-%s-linux-x64.tgz' % control.version.split('-')[0])
    copytree2('SweetHome3D-%s' % version_sweethome,path_prog)
    run('chown -R root:root %s' % path_prog)

    run('ln -sf %s /usr/bin/%s' % (makepath(path_prog,'SweetHome3D'),name_app))
    run('cp -f *.desktop /usr/share/applications/')
    filecopyto('%s.xml' % name_app,'/usr/share/mime/packages/%s.xml' % name_app)
    run('update-mime-database /usr/share/mime')


def uninstall():
    run('unlink /usr/bin/%s' % name_app)
    remove_tree(path_prog)
    remove_file('/usr/share/applications/%s.desktop' % name_app)
    remove_file('/usr/share/mime/packages/sweethome3d.xml')
    run('update-mime-database /usr/share/mime')

def session_setup():
    run_notfatal('xdg-mime default sweethome3d.desktop application/sweethome3d')


def update_package():

    import requests
    url = requests.head('https://sourceforge.net/projects/sweethome3d/files/latest/download?source=files',proxies={}).headers['Location']
    dstexe = requests.head(url,proxies={}).headers['Location'].replace('.jar','-linux-x64.tgz')
    filename = dstexe.rsplit('/',1)[1]
    vers = filename.split('-')[1]
    print ("Latest Version : " + vers)

    exes = glob.glob('*tgz')
    for fn in exes:
        if fn != filename:
            remove_file(fn)

    if not isfile(filename):
        print('Downloading %s from %s'%(filename,dstexe))
        wget(dstexe,filename)
    else:
        print('Already up to date, skipped')

    control.version = vers + '-0'
    control.save_control_to_wapt()

